<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:29 CEST 2019 -->
<title>AbstractFieldMetaData (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractFieldMetaData (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":6,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/AbstractFieldMetaData.html" target="_top">Frames</a></li>
<li><a href="AbstractFieldMetaData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Class AbstractFieldMetaData" class="title">Class AbstractFieldMetaData</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.AbstractFieldMetaData</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html" title="class in org.firebirdsql.jdbc">FBParameterMetaData</a>, <a href="../../../org/firebirdsql/jdbc/FBResultSetMetaData.html" title="class in org.firebirdsql.jdbc">FBResultSetMetaData</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractFieldMetaData</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></pre>
<div class="block">Base class for <a href="../../../org/firebirdsql/jdbc/FBResultSetMetaData.html" title="class in org.firebirdsql.jdbc"><code>FBResultSetMetaData</code></a> and
 <a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html" title="class in org.firebirdsql.jdbc"><code>FBParameterMetaData</code></a> for methods common to both implementations.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a>, <a href="mailto:skidder@users.sourceforge.net">Nickolay Samofatov</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.ExtendedFieldInfo</a></span></code>
<div class="block">This class is an old-fashion data structure that stores additional
 information about fields in a database.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.FieldKey.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.FieldKey</a></span></code>
<div class="block">This class should be used as a composite key in an internal field
 mapping structures.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#AbstractFieldMetaData-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.jdbc.FBConnection-">AbstractFieldMetaData</a></span>(<a href="../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
                     <a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#estimateFixedPrecision-int-">estimateFixedPrecision</a></span>(int&nbsp;fieldIndex)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected abstract <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.FieldKey.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.FieldKey</a>,<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.ExtendedFieldInfo</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getExtendedFieldInfo-org.firebirdsql.jdbc.FBConnection-">getExtendedFieldInfo</a></span>(<a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection)</code>
<div class="block">This method retrieves extended information from the system tables in
 a database.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.ExtendedFieldInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getExtFieldInfo-int-">getExtFieldInfo</a></span>(int&nbsp;columnIndex)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getFieldClassName-int-">getFieldClassName</a></span>(int&nbsp;field)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getFieldCount--">getFieldCount</a></span>()</code>
<div class="block">Retrieves the number of fields in the object for which this <code>AbstractFieldMetaData</code> object contains
 information.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">FieldDescriptor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getFieldDescriptor-int-">getFieldDescriptor</a></span>(int&nbsp;fieldIndex)</code>
<div class="block">The <a href="../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>FieldDescriptor</code></a> of the field with index <code>fieldIndex</code>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getFieldType-int-">getFieldType</a></span>(int&nbsp;field)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getFieldTypeName-int-">getFieldTypeName</a></span>(int&nbsp;field)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getPrecisionInternal-int-">getPrecisionInternal</a></span>(int&nbsp;field)</code>
<div class="block">Retrieves the designated parameter's specified column size.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getRowDescriptor--">getRowDescriptor</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getScaleInternal-int-">getScaleInternal</a></span>(int&nbsp;field)</code>
<div class="block">Retrieves the designated field's number of digits to right of the decimal point.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#isSignedInternal-int-">isSignedInternal</a></span>(int&nbsp;field)</code>
<div class="block">Retrieves whether values for the designated field can be signed numbers.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#isWrapperFor-java.lang.Class-">isWrapperFor</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;iface)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#unwrap-java.lang.Class-">unwrap</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;iface)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractFieldMetaData-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.jdbc.FBConnection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractFieldMetaData</h4>
<pre>protected&nbsp;AbstractFieldMetaData(<a href="../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
                                <a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isWrapperFor-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWrapperFor</h4>
<pre>public&nbsp;boolean&nbsp;isWrapperFor(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;iface)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#isWrapperFor-java.lang.Class-" title="class or interface in java.sql">isWrapperFor</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="unwrap-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unwrap</h4>
<pre>public&nbsp;&lt;T&gt;&nbsp;T&nbsp;unwrap(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;iface)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#unwrap-java.lang.Class-" title="class or interface in java.sql">unwrap</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getRowDescriptor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRowDescriptor</h4>
<pre>protected final&nbsp;<a href="../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;getRowDescriptor()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The row descriptor.</dd>
</dl>
</li>
</ul>
<a name="getFieldCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldCount</h4>
<pre>protected final&nbsp;int&nbsp;getFieldCount()</pre>
<div class="block">Retrieves the number of fields in the object for which this <code>AbstractFieldMetaData</code> object contains
 information.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of fields</dd>
</dl>
</li>
</ul>
<a name="getFieldDescriptor-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldDescriptor</h4>
<pre>protected final&nbsp;<a href="../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">FieldDescriptor</a>&nbsp;getFieldDescriptor(int&nbsp;fieldIndex)</pre>
<div class="block">The <a href="../../../org/firebirdsql/gds/ng/fields/FieldDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>FieldDescriptor</code></a> of the field with index <code>fieldIndex</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldIndex</code> - 1-based index of a field in this metadata object</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>field descriptor</dd>
</dl>
</li>
</ul>
<a name="isSignedInternal-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSignedInternal</h4>
<pre>protected final&nbsp;boolean&nbsp;isSignedInternal(int&nbsp;field)</pre>
<div class="block">Retrieves whether values for the designated field can be signed numbers.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - the first field is 1, the second is 2, ...</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if so; <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="getScaleInternal-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScaleInternal</h4>
<pre>protected final&nbsp;int&nbsp;getScaleInternal(int&nbsp;field)</pre>
<div class="block">Retrieves the designated field's number of digits to right of the decimal point.
 0 is returned for data types where the scale is not applicable.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - the first field is 1, the second is 2, ...</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>scale</dd>
</dl>
</li>
</ul>
<a name="getFieldClassName-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldClassName</h4>
<pre>protected final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFieldClassName(int&nbsp;field)
                                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getFieldTypeName-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldTypeName</h4>
<pre>protected final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFieldTypeName(int&nbsp;field)</pre>
</li>
</ul>
<a name="getFieldType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldType</h4>
<pre>protected&nbsp;int&nbsp;getFieldType(int&nbsp;field)</pre>
</li>
</ul>
<a name="getPrecisionInternal-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrecisionInternal</h4>
<pre>protected final&nbsp;int&nbsp;getPrecisionInternal(int&nbsp;field)
                                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Retrieves the designated parameter's specified column size.
 <p/>
 <P>The returned value represents the maximum column size for the given parameter.
 For numeric data, this is the maximum precision.  For character data, this is the length in characters.
 For datetime datatypes, this is the length in characters of the String representation (assuming the
 maximum allowed precision of the fractional seconds component). For binary data, this is the length in bytes.
 For the ROWID datatype, this is the length in bytes. 0 is returned for data types where the column size is not
 applicable.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - the first field is 1, the second is 2, ...</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>precision</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="estimateFixedPrecision-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estimateFixedPrecision</h4>
<pre>protected final&nbsp;int&nbsp;estimateFixedPrecision(int&nbsp;fieldIndex)</pre>
</li>
</ul>
<a name="getExtFieldInfo-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtFieldInfo</h4>
<pre>protected final&nbsp;<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.ExtendedFieldInfo</a>&nbsp;getExtFieldInfo(int&nbsp;columnIndex)
                                                                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getExtendedFieldInfo-org.firebirdsql.jdbc.FBConnection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getExtendedFieldInfo</h4>
<pre>protected abstract&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.FieldKey.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.FieldKey</a>,<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.ExtendedFieldInfo</a>&gt;&nbsp;getExtendedFieldInfo(<a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection)
                                                                                                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">This method retrieves extended information from the system tables in
 a database. Since this method is expensive, use it with care.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mapping between <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.FieldKey.html" title="class in org.firebirdsql.jdbc"><code>AbstractFieldMetaData.FieldKey</code></a> instances and <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc"><code>AbstractFieldMetaData.ExtendedFieldInfo</code></a> instances,
 or an empty Map if the metadata implementation does not support extended info.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database error occurs while obtaining extended field information.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/AbstractFieldMetaData.html" target="_top">Frames</a></li>
<li><a href="AbstractFieldMetaData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
